JsonDataBindingSourceCreator (Grails 6.0.0)

Package: org.grails.web.databinding.bindingsource

## [Groovy] Class JsonDataBindingSourceCreator

- org.grails.web.databinding.bindingsource.JsonDataBindingSourceCreator

-     @groovy.transform.CompileStatic
      class JsonDataBindingSourceCreator
      extends AbstractRequestBodyDataBindingSourceCreator

  Creates DataBindingSource objects from JSON in the request body

  Since:
    2.3
  Authors:
    Jeff Brown
    Graeme Rocher
  See Also:
    DataBindingSource
    DataBindingSourceCreator

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `JsonDataBindingSourceCreator.1` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.util.regex.Pattern` | `INDEX_PATTERN` |
    `private groovy.json.JsonSlurper` | `jsonSlurper` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractRequestBodyDataBindingSourceCreator` | `ignoredRequestBodyMethods`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovy.json.JsonSlurper` | `jsonSlurper`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonDataBindingSourceCreator ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected DataBindingSource` | `createBindingSource(java.io.Reader reader)`
    `` | `protected DataBindingSourceCreationException` | `createBindingSourceCreationException(java.lang.Exception e)`
    `` | `protected CollectionDataBindingSource` | `createCollectionBindingSource(java.io.Reader reader)`
    `` | `DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
    `` | `protected java.util.Map` | `createJsonMap(java.lang.Object jsonElement)`
    `` | `MimeType[]` | `getMimeTypes()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractRequestBodyDataBindingSourceCreator` | `createBindingSource, createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getTargetType`
    `class DefaultDataBindingSourceCreator` | `createCollectionDataBindingSource, createDataBindingSource, createDataBindingSource, getMimeTypes, getTargetType`

- - ### Field Detail

    - #### private static final java.util.regex.Pattern INDEX_PATTERN

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) private groovy.json.JsonSlurper jsonSlurper

  - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) groovy.json.JsonSlurper jsonSlurper

  - ### Constructor Detail

    - #### JsonDataBindingSourceCreator()

  - ### Method Detail

    - #### @java.lang.Override protected DataBindingSource createBindingSource(java.io.Reader reader)

    - #### @java.lang.Override protected DataBindingSourceCreationException createBindingSourceCreationException(java.lang.Exception e)

    - #### @java.lang.Override protected CollectionDataBindingSource createCollectionBindingSource(java.io.Reader reader)

    - #### @java.lang.Override DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

    - #### protected java.util.Map createJsonMap(java.lang.Object jsonElement)

    - #### @java.lang.Override MimeType[] getMimeTypes()